#!/bin/bash
#set -x
# The nex line will be replaced with the package name when the ruls Makefile is run.
PKG=c360-videos-spectrum

## call with network or usb flag

DEB_VERSION=$(dpkg -s $PKG | grep Version | cut -d ":" -f 2 )

# getopts
TAR_ARCHIVE="$PKG".tar
ZSYNC_FILE="$TAR_ARCHIVE".zsync
USB_PATH=/media/usb
KEY_PATH=$USB_PATH/zsync
USB_FILE=$KEY_PATH/$TAR_ARCHIVE
NETWORK=

# run zsync
while getopts :n opt; do
  case $opt in
    n)
      echo "Network mode"
      NETWORK=1
      ;;
    \?)
      echo "Invalid option: -$OPTARG" >&2
      ;;
  esac
done
shift $((OPTIND-1))
# if network

if [[ $NETWORK ]]; then
  zsync $ZSYNC_FILE
else
  # usb
  if [[ -f $USB_FILE  ]]; then
    zsync -i $USB_FILE $ZSYNC_FILE
  else
    echo "Tar archive not found in $USB_PATH"
  fi
fi

# if zsync has changed run tar command
# Use pv to report extraction progress
(pv -n $TAR_ARCHIVE | tar -xf - -C / ) 2>&1
# Update installed version file
echo $DEB_VERSION > VersionInstalled
